org.eclipse.graphiti.internal.command

## Class GFPreparableCommand2

- java.lang.Object
- - org.eclipse.emf.common.command.AbstractCommand
  - - org.eclipse.emf.transaction.RecordingCommand
    - - org.eclipse.graphiti.internal.command.GFPreparableCommand2

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command, org.eclipse.emf.transaction.util.ConditionalRedoCommand

    public class GFPreparableCommand2
    extends org.eclipse.emf.transaction.RecordingCommand

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand

`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

### Nested classes/interfaces inherited from interface org.eclipse.emf.transaction.util.ConditionalRedoCommand

`org.eclipse.emf.transaction.util.ConditionalRedoCommand.Compound`

### Constructor Summary

Constructors
Constructor and Description
`GFPreparableCommand2(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain, org.eclipse.emf.common.command.Command command)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canUndo()`
`org.eclipse.emf.common.command.Command` `getCommand()`

### Methods inherited from class org.eclipse.emf.transaction.RecordingCommand

`canRedo, chain, dispose, execute, redo, undo`

### Methods inherited from class org.eclipse.emf.common.command.AbstractCommand

`canExecute, getAffectedObjects, getDescription, getLabel, getResult, setDescription, setLabel, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.command.Command

`canExecute, getAffectedObjects, getDescription, getLabel, getResult`

### Constructor Detail

#### GFPreparableCommand2

    public GFPreparableCommand2(org.eclipse.emf.transaction.TransactionalEditingDomain editingDomain,
                                org.eclipse.emf.common.command.Command command)

### Method Detail

#### canUndo

    public boolean canUndo()

Specified by:
  `canUndo` in interface `org.eclipse.emf.common.command.Command`
Overrides:
  `canUndo` in class `org.eclipse.emf.transaction.RecordingCommand`

#### getCommand

    public org.eclipse.emf.common.command.Command getCommand()